summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-roguelike/stone-soup')
-rw-r--r--games-roguelike/stone-soup/Manifest1
-rw-r--r--games-roguelike/stone-soup/files/stone-soup-0.20.1-rltiles-ldflags-libs.patch45
-rw-r--r--games-roguelike/stone-soup/stone-soup-0.16.2-r1.ebuild2
-rw-r--r--games-roguelike/stone-soup/stone-soup-0.20.1.ebuild143
4 files changed, 190 insertions, 1 deletions
diff --git a/games-roguelike/stone-soup/Manifest b/games-roguelike/stone-soup/Manifest
index a247fb3d3d87..b317ed35eb34 100644
--- a/games-roguelike/stone-soup/Manifest
+++ b/games-roguelike/stone-soup/Manifest
@@ -1,3 +1,4 @@
DIST stone-soup.png 1351 SHA256 486da51db277817f6fa59c32b131fa4d50cace7d8c9a84995d22f13a92e384e1 SHA512 4695204c8b936f7aac1ba15b02a6115a955fb2c56aa9a0b968ff007bc9a1a59b608110d60cce5625a9b92cd2c869bbea7e15433a53c1a338622809477a5846bc WHIRLPOOL 621b93f192d9335f57b18a72489450511be993f79ac5ea26529d3424adcddf1c64cb2c996fa1265cbd341a31dabe550253d0302c941fcd751197aff7840acee3
DIST stone-soup.svg 68546 SHA256 f2b476f57f6e8a9b56bc20ec2da0accac9376fea1ff3e4dbe59e7f2f231eb071 SHA512 dca555271faf704eb8ecdf5ee8a763df42cdeba94e9c163608c438cfc73c6fbf53416547050cad57f477ade191842e701785b65b7a9f18e27ceab05df8f2f75f WHIRLPOOL 49b7e0ca45319b2f016203e02b1e08207e9f0c18501b17f5922f1983fbb6bfabc12a9ca3199697f78561739e253f200bfbe984082bb99e1c8e289e5c41004bed
DIST stone_soup-0.16.2.tar.xz 27843008 SHA256 49d5947abb341eb7f0590fa538c475e68ea954064c615d852de968211b68780b SHA512 fc48a1161028fbfc3c1b91bf717ffdeb761dc03a12aa8282f2235fe86368de343dd91ee33371fe4f682f4f84a8fc339d6984b6357527c3cf0c4139cb69cd5633 WHIRLPOOL 2016018e438e857031c382e53e904126efd7006a1da4b954b3b5eb4f5a9263e8535e7300fa8f54f8a870bf99b362cc0bdda630ea562e2f786e3d88c5b38d0c54
+DIST stone_soup-0.20.1.tar.xz 28372712 SHA256 77d238bd859166e09bbf56127997f810d1c9794e1cf4a0d1edc0687b6f194dee SHA512 420ccc3c66977da8ae15f9c0465b01a6260ad5db450efced3041455674922e714d9aaed226e1bc32fa3c22bca1ec06bd91979a9378c6ab08fbe1d2bfc3f0da4a WHIRLPOOL 1057a0b86df62ebf8491274b37719691c4c709feb478c684882c465a7fd2c8f977bdc7b6a9c2990a47a42c2ffbdf4187a4da705a3c31e0a3a174e909af8ebc34
diff --git a/games-roguelike/stone-soup/files/stone-soup-0.20.1-rltiles-ldflags-libs.patch b/games-roguelike/stone-soup/files/stone-soup-0.20.1-rltiles-ldflags-libs.patch
new file mode 100644
index 000000000000..010c729b92eb
--- /dev/null
+++ b/games-roguelike/stone-soup/files/stone-soup-0.20.1-rltiles-ldflags-libs.patch
@@ -0,0 +1,45 @@
+--- a/rltiles/Makefile
++++ b/rltiles/Makefile
+@@ -1,7 +1,7 @@
+ uname_S := $(shell uname -s)
+
+ ifneq (,$(findstring MINGW,$(uname_S)))
+-LDFLAGS += -lmingw32
++LIBS += -lmingw32
+ endif
+
+ # Note: since generation of tiles is done on the host, we don't care about
+@@ -29,7 +29,7 @@
+ endif
+
+ CFLAGS += $(PNG_INCLUDE)
+- LDFLAGS += $(PNG_LIB)
++ LIBS += $(PNG_LIB)
+
+ CFLAGS += -DUSE_TILE
+ endif
+@@ -39,13 +39,13 @@
+ endif
+
+ ifneq (,$(findstring MINGW,$(uname_S)))
+-LDFLAGS += -lgdi32 -lwinmm -lole32 -loleaut32 -limm32 -lshell32 -lversion -luuid
++LIBS += -lgdi32 -lwinmm -lole32 -loleaut32 -limm32 -lshell32 -lversion -luuid
+ endif
+ ifeq ($(uname_S),Darwin)
+-LDFLAGS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL
++LIBS += -framework AppKit -framework AudioUnit -framework CoreAudio -framework ForceFeedback -framework Carbon -framework IOKit -framework OpenGL
+ endif
+ ifeq ($(uname_S),Linux)
+-LDFLAGS += -ldl -lpthread
++LIBS += -ldl -lpthread
+ endif
+
+ # Attempt to use a full compiler name, to make
+@@ -134,6 +134,6 @@
+ $(QUIET_HOSTCXX)$(HOSTCXX) $(CFLAGS) -MMD -c $< -o $@
+
+ $(TILEGEN): $(OBJECTS)
+- $(QUIET_HOSTLINK)$(HOSTCXX) $(CFLAGS) $(OBJECTS) -o $@ $(LDFLAGS)
++ $(QUIET_HOSTLINK)$(HOSTCXX) $(CFLAGS) $(OBJECTS) -o $@ $(LDFLAGS) $(LIBS)
+
+ .PHONY: all clean distclean
diff --git a/games-roguelike/stone-soup/stone-soup-0.16.2-r1.ebuild b/games-roguelike/stone-soup/stone-soup-0.16.2-r1.ebuild
index ceca0ef94f0c..c9d46d428dbc 100644
--- a/games-roguelike/stone-soup/stone-soup-0.16.2-r1.ebuild
+++ b/games-roguelike/stone-soup/stone-soup-0.16.2-r1.ebuild
@@ -37,7 +37,7 @@ RDEPEND="
media-fonts/dejavu
media-libs/freetype:2
media-libs/libpng:0
- media-libs/libsdl2[opengl,video]
+ media-libs/libsdl2[X,opengl,video]
media-libs/sdl2-image[png]
virtual/glu
virtual/opengl
diff --git a/games-roguelike/stone-soup/stone-soup-0.20.1.ebuild b/games-roguelike/stone-soup/stone-soup-0.20.1.ebuild
new file mode 100644
index 000000000000..6046f53ae7e5
--- /dev/null
+++ b/games-roguelike/stone-soup/stone-soup-0.20.1.ebuild
@@ -0,0 +1,143 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+## TODO
+# add sound support (no sound files)
+
+EAPI=6
+VIRTUALX_REQUIRED="manual"
+inherit eutils gnome2-utils toolchain-funcs versionator
+
+MY_P="stone_soup-${PV}"
+DESCRIPTION="Role-playing roguelike game of exploration and treasure-hunting in dungeons"
+HOMEPAGE="http://crawl.develz.org/wordpress/"
+SRC_URI="
+ https://crawl.develz.org/release/$(get_version_component_range 1-2)/${PN/-/_}-${PV}.tar.xz
+ https://dev.gentoo.org/~hasufell/distfiles/${PN}.png
+ https://dev.gentoo.org/~hasufell/distfiles/${PN}.svg
+"
+
+# 3-clause BSD: mt19937ar.cc, MSVC/stdint.h
+# 2-clause BSD: all contributions by Steve Noonan and Jesse Luehrs
+# Public Domain|CC0: most of tiles
+# MIT: json.cc/json.h, some .js files in webserver/static/scripts/contrib/
+LICENSE="GPL-2 BSD BSD-2 public-domain CC0-1.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug luajit ncurses test +tiles"
+# test is broken
+# see https://crawl.develz.org/mantis/view.php?id=6121
+RESTRICT="test"
+
+RDEPEND="
+ dev-db/sqlite:3
+ luajit? ( >=dev-lang/luajit-2.0.0 )
+ sys-libs/zlib
+ !ncurses? ( !tiles? ( sys-libs/ncurses:0 ) )
+ ncurses? ( sys-libs/ncurses:0 )
+ tiles? (
+ media-fonts/dejavu
+ media-libs/freetype:2
+ media-libs/libpng:0
+ media-libs/libsdl2[X,opengl,video]
+ media-libs/sdl2-image[png]
+ virtual/glu
+ virtual/opengl
+ )"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+ sys-devel/flex
+ virtual/pkgconfig
+ virtual/yacc
+ tiles? (
+ sys-libs/ncurses:0
+ )"
+
+S=${WORKDIR}/${MY_P}/source
+S_TEST=${WORKDIR}/${MY_P}_test/source
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.20.1-rltiles-ldflags-libs.patch
+)
+
+pkg_setup() {
+ if use !ncurses && use !tiles ; then
+ ewarn "Neither ncurses nor tiles frontend"
+ ewarn "selected, choosing ncurses only."
+ ewarn "Note that you can also enable both."
+ fi
+}
+
+src_prepare() {
+ default
+
+ rm -r contrib/{fonts,freetype,libpng,pcre,sdl2,sdl2-image,sdl2-mixer,sqlite,zlib} || die
+}
+
+src_compile() {
+ export HOSTCXX=$(tc-getBUILD_CXX)
+
+ # leave DATADIR at the top
+ myemakeargs=(
+ $(usex debug "FULLDEBUG=y DEBUG=y" "")
+ $(usex luajit "" "BUILD_LUA=yes") # luajit is not bundled
+ AR="$(tc-getAR)"
+ CFOPTIMIZE=''
+ CFOTHERS="${CXXFLAGS}"
+ DATADIR="/usr/share/${PN}"
+ GCC="$(tc-getCC)"
+ GXX="$(tc-getCXX)"
+ LDFLAGS="${LDFLAGS}"
+ MAKEOPTS="${MAKEOPTS}"
+ PKGCONFIG="$(tc-getPKG_CONFIG)"
+ RANLIB="$(tc-getRANLIB)"
+ SAVEDIR="~/.crawl"
+ STRIP=touch
+ USE_LUAJIT=$(usex luajit "yes" "")
+ V=1
+ prefix="/usr"
+ )
+
+ if use ncurses || (use !ncurses && use !tiles) ; then
+ emake "${myemakeargs[@]}"
+ # move it in case we build both variants
+ use tiles && { mv crawl "${WORKDIR}"/crawl-ncurses || die ;}
+ fi
+
+ if use tiles ; then
+ emake clean
+ emake "${myemakeargs[@]}" "TILES=y"
+ fi
+}
+
+src_install() {
+ emake "${myemakeargs[@]}" $(usex tiles "TILES=y" "") DESTDIR="${D}" prefix_fp="" bin_prefix="${D}/usr/bin" install
+ [[ -e "${WORKDIR}"/crawl-ncurses ]] && dobin "${WORKDIR}"/crawl-ncurses
+
+ # don't relocate docs, needed at runtime
+ rm -rf "${D}/usr/share/${PN}"/docs/license
+
+ # icons and menu for graphical build
+ if use tiles ; then
+ doicon -s 48 "${DISTDIR}"/${PN}.png
+ doicon -s scalable "${DISTDIR}"/${PN}.svg
+ make_desktop_entry crawl
+ fi
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+
+ if use tiles && use ncurses ; then
+ elog "Since you have enabled both tiles and ncurses frontends"
+ elog "the ncurses binary is called 'crawl-ncurses' and the"
+ elog "tiles binary is called 'crawl'."
+ fi
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}